#ifndef CREDENTIALDIALOG_H
#define CREDENTIALDIALOG_H

#include <QDialog>
#include <QEventLoop>
#include <qt5keychain/keychain.h>

namespace Ui {
	class CredentialDialog;
}

class CredentialDialog : public QDialog
{
		Q_OBJECT

	public:
		explicit CredentialDialog(QWidget *parent = nullptr);
		~CredentialDialog();
		void showInfo();

	protected slots:
		void showEvent(QShowEvent *event);

	private slots:
		void btnOkClicked();
		void btnAbortClicked();

	private:
		Ui::CredentialDialog *ui;

		static bool allWriteOk;
		static QString errorString;

		static void writeFinished(QKeychain::Job &job, QEventLoop &loop);
};


#endif // CREDENTIALDIALOG_H
