#ifndef SPLASHSCREEN_H
#define SPLASHSCREEN_H

#include <QMainWindow>
#include <QTimer>

namespace Ui {
	class SplashScreen;
}

class SplashScreen : public QMainWindow
{
		Q_OBJECT

	public:
		explicit SplashScreen(QWidget *parent = nullptr);
		~SplashScreen();

	protected:
		void showEvent(QShowEvent *ev);

	private slots:
		void loadNextWindow();
		void windowLoaded();

	private:
		Ui::SplashScreen *ui;
		QTimer *timer;
};

#endif // SPLASHSCREEN_H
